fprintf('%d features have been selected:\n', sum(FINAL_FEATURES));

nf = length(FEATURES);

total_features = {};
total_parts =[];
total_sizes =[];
for i=1:numel(PARTS)
    ns = length(WIN_SIZES{i});
    for s=1:ns
        total_features = [total_features FEATURES];
        total_parts = [total_parts repmat(i,1,nf)];
        total_sizes = [total_sizes repmat(WIN_SIZES{i}(s),1,nf)];
    end
end

for i=1:numel(FINAL_FEATURES)
    if i==1 || total_parts(i) ~= total_parts(i-1)
        fprintf('%s\n', char(PARTS(total_parts(i))));
    end
    if FINAL_FEATURES(i)
        fprintf(1,'\t%s [%d]\n',char(total_features(i)), char(total_sizes(i)));
    end
end
